Name:         multipath-tools
URL:          http://christophe.varoqui.free.fr/multipath-tools/
License:      GPLv2
Group:        System/Kernel and hardware
Version:      0.4.9
Release:      %mkrel 2
Summary:      Tools to manage multipathed devices with the device-mapper
Source:       http://christophe.varoqui.free.fr/multipath-tools/%name-%version.tar.bz2
Source1:      multipathd.init.bz2
# kpartx: add -u flag, needed by dracut/systemd
Patch0:	      multipath-tools-implement-update-option-for-kpartx.patch
# (cjw) install udev rules in %{_udevrulesdir}
Patch1:       multipath-tools-0.4.9-udevrulesdir.patch

Requires:     dmsetup
Requires:     kpartx = %{version}
Conflicts:    kpartx < 0.4.8-16
BuildRequires:	libdevmapper-devel
BuildRequires:  libsysfs-devel
BuildRequires:  readline-devel
BuildRequires:  ncurses-devel
BuildRequires:  libaio-devel
Requires(preun):rpm-helper
Requires(post):	rpm-helper


%description
This package provides the tools to manage multipathed devices by
instructing the device-mapper multipath module what to do. The tools
are:

- multipath: scan the system for multipathed devices, assembles them
  and update the device-mapper's maps

- multipathd: wait for maps events, then execs multipath

- devmap-name: provides a meaningful device name to udev for devmaps

- kpartx: maps linear devmaps upon device partitions, which makes
  multipath maps partionable

%package -n kpartx
Summary: Partition device manager for device-mapper devices
Group: System/Kernel and hardware
Conflicts: multipath-tools < 0.4.8-16

%description -n kpartx
kpartx manages partition creation and removal for device-mapper devices.

%prep
%setup -q
%patch0 -p1 -b .kpartx-update
%patch1 -p1 -b .udevrulesdir

%build
# parallel build support is broken:
make BUILD="glibc"

%install
rm -fR $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/etc/hotplug.d
mkdir -p $RPM_BUILD_ROOT/etc/init.d
bzip2 -dc %{SOURCE1} > $RPM_BUILD_ROOT/etc/init.d/multipathd
chmod 755 $RPM_BUILD_ROOT/etc/init.d/multipathd

%clean
rm -rf $RPM_BUILD_ROOT

%preun
%_preun_service multipathd

%post
%_post_service multipathd

%files
%defattr(-,root,root,755)
%doc AUTHOR COPYING README* ChangeLog FAQ multipath.conf.*
%config(noreplace) /etc/init.d/multipathd
%config(noreplace) %{_udevrulesdir}/multipath.rules
/sbin/multipath
/sbin/multipathd
%_mandir/man?/multipath*
%dir /%{_lib}/multipath/
/%{_lib}/multipath/*
/%{_lib}/libmultipath*

%files -n kpartx
%defattr(-,root,root,-)
/sbin/kpartx
%{_udevrulesdir}/kpartx.rules
/lib/udev/kpartx_id
%{_mandir}/man8/kpartx.8*


%changelog

* Sun Jan 13 2013 cjw <cjw> 0.4.9-2.mga3
+ Revision: 373449
- move udev rules files to _udevrulesdir

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 tmb <tmb> 0.4.9-1.mga2
+ Revision: 220346
- drop merged patches
- update to 0.4.9

* Mon Feb 20 2012 tmb <tmb> 0.4.8-18.1.mga2
+ Revision: 211095
- kpartx: implement update option (-u) (mga #3960)

* Sat Jan 15 2011 blino <blino> 0.4.8-18.mga1
+ Revision: 19123
- imported package multipath-tools

